.hero-section {
  background-image: url('media/Main-banners-1.jpg');
  background-size: cover;
  background-position: center;
  height: 100vh;
  position: relative;
}

.hero-section::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5); /* dark overlay */
}

.hero-content {
  position: relative;
  z-index: 1;
}
